Subject: Re: bug#77140: [PATCH] Strip text properties on recentf entries

From: Eli Zaretskii <[email-masked]>
Date: Fri, 21 Mar 2025 15:52:32 +0200

> Cc: [email-masked]
> From: Ship Mints <[email-masked]>
> Date: Fri, 21 Mar 2025 09:24:04 -0400
> 
> From 6eb57699f0e215e49d6071aac852740ac8cd60cc Mon Sep 17 00:00:00 2001
> From: shipmints <[email-masked]>
> Date: Thu, 20 Mar 2025 12:53:09 -0400
> Subject: [PATCH] Strip text properties on recentf entries, when saved
>  (bug#77140)
> 
> Text properties are added by common completion frameworks, and serve no
> purpose when stored in 'recentf-save-file', waste space, and slow loading
> the file.
> 
> * lisp/recentf.el (recentf-dump-variable): Process string values through
> 'substring-no-properties'.

Thanks, but please make the lines in the log message shorter (see
CONTRIBUTE for guidance).  This includes both the heading and the rest
of the log message.